Bug 864204 - AttributeError: 'YumConf' object has no attribute '_repos_persistdir'
AttributeError: 'YumConf' object has no attribute '_repos_persistdir'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:969087b6f5fc5cbf46c0c9d7ae3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 16:45 EDT by Reartes Guillermo
Modified: 2014-02-05 07:29 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:29:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (301.83 KB, text/plain)
2012-10-08 16:46 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-08 16:46 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-08 16:46 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-08 16:46 EDT, Reartes Guillermo
no flags Details
File: storage.log (138.36 KB, text/plain)
2012-10-08 16:46 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-08 16:46 EDT, Reartes Guillermo
no flags Details
File: environ (761 bytes, text/plain)
2012-10-08 16:46 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (5.33 KB, text/plain)
2012-10-08 16:46 EDT, Reartes Guillermo
no flags Details
File: syslog (72.02 KB, text/plain)
2012-10-08 16:47 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-08 16:47 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.54 KB, text/plain)
2012-10-08 16:47 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-08 16:47 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-08 16:47 EDT, Reartes Guillermo
no flags Details
File: program.log (39.35 KB, text/plain)
2012-10-08 16:47 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-08 16:45:54 EDT
Description of problem:
enter installation source and selected closest mirror,
maybe i did it too quickly?


Version-Release number of selected component:
anaconda-18.12

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.12 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 487, in getReposFromConfigFile
:    thisrepo.base_persistdir = self.conf._repos_persistdir
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 557, in getReposFromConfig
:    self.getReposFromConfigFile(repofn, repo_age=thisrepo_age)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 677, in _getRepos
:    self.getReposFromConfig()
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1005, in <lambda>
:    repos = property(fget=lambda self: self._getRepos(),
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 343, in repos
:    return self._yum.repos.repos.keys()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 354, in baseRepo
:    if repo_name in self.repos and \
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 123, in ready
:    self.payload.baseRepo is not None)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 197, in _updateCompleteness
:    spoke.selector.set_sensitive(spoke.ready)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 255, in _update_spokes
:    self._updateCompleteness(spoke)
:AttributeError: 'YumConf' object has no attribute '_repos_persistdir'
Comment 1 Reartes Guillermo 2012-10-08 16:46:10 EDT
Created attachment 623728 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-08 16:46:13 EDT
Created attachment 623729 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-08 16:46:16 EDT
Created attachment 623730 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-08 16:46:19 EDT
Created attachment 623731 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-08 16:46:30 EDT
Created attachment 623732 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-08 16:46:32 EDT
Created attachment 623733 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-08 16:46:51 EDT
Created attachment 623734 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-08 16:46:54 EDT
Created attachment 623735 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-08 16:47:00 EDT
Created attachment 623736 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-08 16:47:02 EDT
Created attachment 623737 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-08 16:47:06 EDT
Created attachment 623738 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-08 16:47:11 EDT
Created attachment 623739 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-08 16:47:15 EDT
Created attachment 623740 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-08 16:47:19 EDT
Created attachment 623741 [details]
File: program.log
Comment 15 Adam Williamson 2012-10-10 14:04:37 EDT
Discussed at 2012-10-10 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-10/f18beta-blocker-review-3.2012-10-10-16.05.log.txt . We agreed there is not enough information on the circumstances to trigger this, and it looks like no-one else is hitting it (no CCs added by abrt). Reartes, can you reproduce this? Can you say precisely what image you booted (TC2 x86-64 DVD? or what?) Can anyone else reproduce this? I tried booting the DVD image and quickly switching to the remote mirror install source a couple of times and could not reproduce this. We agreed if we don't have more reports or more concrete details by next week, this bug will be rejected as a blocker.
Comment 16 Reartes Guillermo 2012-10-10 19:15:05 EDT
The current iso is Fedora-18-Beta-TC3-x86_64-DVD.iso (previously it was TC2).
I can reproduce it reliably with guests BTRFS-1, BTRFS-2, BTRFS-3,
and something interesting happened with guest FNEXT-DBT1.
With FNEXT-DBT1, some times it did not happen, one time i got a 'stuck' anaconda, one time (rhbz 865173), and also could reproduce this bug-report.


Tried switching video from SPICE/QLX to VNC/Cirrus, but no effect.
Also tried with vesa, no effect.
Comment 17 Reartes Guillermo 2012-10-10 21:03:44 EDT
I also tried on another guest, which does NOT have internet access (private network) and it experienced the same issue.

I also tired a physical host and as expected i could not reproduce it.
Comment 18 Adam Williamson 2012-10-17 14:30:58 EDT
Discussed at 2012-10-17 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-17/f18beta-blocker-review-4.2012-10-17-16.00.log.txt . Although Reartes can reproduce this no-one else seems to be able to, and no-one has been added to CC on this report by libreport which would indicate they'd hit it. Since no-one but Reartes seems to be able to hit this, it's tentatively rejected as a blocker. It can be re-proposed if data emerges to indicate this is hitting more testers.
Comment 19 Reartes Guillermo 2012-12-11 12:20:23 EST
In current anaconda versions, you cannot change INSTALLATION SOURCE until SOFTWARE SELECTION has finished resolving dependencies.

Also you can't enter SOFTWARE selection after INSTALLATION SOURCE has finished setting up the installation source.

Additionally, one cannot just enter INSTALLATION SOURCE intermediately after 'accepting fate', there is a pause for both INSTALLATION SOURCE and SOFTWARE SELECTION.

It looks like the bug (if it still ever exists) cannot be triggered in current  anaconda versions.

If what i said is correct, maybe the bug-report can be closed.
Comment 20 Fedora End Of Life 2013-12-21 04:04:26 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2014-02-05 07:29:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.